com.elastisys.scale.cloudpool.api

## Class CloudPoolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.elastisys.scale.cloudpool.api.CloudPoolException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NotConfiguredException, NotFoundException, NotStartedException

    public class CloudPoolException
    extends RuntimeException

Thrown by a `CloudPool` to indicate an error condition.

See Also:
  `CloudPool`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CloudPoolException()` Constructs a new `CloudPoolException`.
`CloudPoolException(String message)` Constructs a new `CloudPoolException`.
`CloudPoolException(String message, Throwable cause)` Constructs a new `CloudPoolException`.
`CloudPoolException(Throwable cause)` Constructs a new `CloudPoolException`.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloudPoolException

    public CloudPoolException()

Constructs a new `CloudPoolException`.

#### CloudPoolException

    public CloudPoolException(String message,
                              Throwable cause)

Constructs a new `CloudPoolException`.

Parameters:
  `message` -
  `cause` -

#### CloudPoolException

    public CloudPoolException(String message)

Constructs a new `CloudPoolException`.

Parameters:
  `message` -

#### CloudPoolException

    public CloudPoolException(Throwable cause)

Constructs a new `CloudPoolException`.

Parameters:
  `cause` -